<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=3.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="DPATotalSystem.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
    </sectionGroup>
  </configSections>
  <dataConfiguration defaultDatabase="SQLCON"/>
  <connectionStrings>
    <add name="SQLCONFIG" connectionString="òĻǔ¬ʂˈǴЗϖʕҼӹ٤ֻȌޯߚࢻࣴࠫࢺևќईࡺ௷௜ֶ֬׻۬ާ໬ෛနႫྡྷᆑሬԬዪᄃᄐᒝᒈፓᗌ᜵ٌᓷᙤᔪ᝶ധቬ᥮᪎ᝓ෠ᤑ᪰᧣ᴌ᪵ᤎ᱐ࢌ᪻᪒‸᭔Ộ•ḹረ᎙⋈῕ᾜ⑯ⓢᗅ⑸⒒≐⎻⍴ᒏ❬⊇⥠⧓⮾⤽⫌◰ᝦ‥ⰰ⪨᎒ᐪᓄඕ᪌ອ" providerName="System.Data.SqlClient"/>
    <add name="SQLCON" connectionString="òĻǔ¬ʂˈǴЗϖʕҼӹ٤ֻȌޯߚࢻࣴࠫࢺևќईࡺ௷௜ֶ֬׻۬ާ໬ෛနႫྡྷᆑሬԬዪᄃᄐᒝᒈፓᗌ᜵ٌᓷᙤᔪ᝶ധቬ᥮᪎ᝓ෠ᤑ᪰᧣ᴌ᪵ᤎ᱐ࢌ᪻᪒‸᭔Ộ•ḹረគ ᷻ⅼ኷⏬὿◈☻⠆◅✼⋐ᕾᶍ⢨❈ሊኚጬ಍ᢌඕ" providerName="System.Data.SqlClient"/>

  </connectionStrings>
  <appSettings>
    <add key="BackUpPath" value="E:\Data\"/>
    <add key="DatabaseName" value="StoneWash"/>
    <add key="HesabdarID" value="72"/>
    <add key="DaramadID" value="130"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
    <add key="la" value="1"/>
    <add key="Developer" value="https://argess.ir/Persian/Help"/>
  </appSettings>
  <applicationSettings>
    <DPATotalSystem.Properties.Settings>
      <setting name="TotalSystem_ArgessCoWebService_ArgessCoServices" serializeAs="String">
        <value>http://www.argessco.com/SMSAccounting/ArgessCoServices.asmx</value>
      </setting>
      <setting name="TotalSystem_IrTCI_SMS_WebServer_Service" serializeAs="String">
        <value>http://176.62.145.9/index.php</value>
      </setting>
    </DPATotalSystem.Properties.Settings>
  </applicationSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>

  <system.serviceModel>
    <client>
      <endpoint address="http://Static IP Address:8001/SaleService/?wsdl" binding="basicHttpBinding" bindingConfiguration="WebHttpBinding_ISaleService" contract="SaleServiceMain.ISaleService" name="WebHttpBinding_ISaleService" />
      <endpoint address="http://Local IP Address:8001/AttachmentService/?wsdl" binding="webHttpBinding" bindingConfiguration="Web" behaviorConfiguration="webhttp" contract="AttachmentService.IAttachmentService" name="WebHttpBinding_IAttachmentService" />
    </client>

    <bindings>
      <basicHttpBinding>
        <binding name="AttachedFileClassSoap" maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647">
          <readerQuotas maxDepth="128" maxStringContentLength="2147483647" maxArrayLength="52428800" maxBytesPerRead="4096" maxNameTableCharCount="52428800"/>
        </binding>

        <binding name="WebHttpBinding_ISaleService" allowCookies="true"
                 maxReceivedMessageSize="20000000"
                 maxBufferSize="20000000"
                 maxBufferPoolSize="20000000">
          <readerQuotas maxDepth="32"
						 maxArrayLength="200000000"
						 maxStringContentLength="200000000"/>
        </binding>
      </basicHttpBinding>

      <webHttpBinding>
        <binding name="Web" maxReceivedMessageSize="250000000" maxBufferSize="250000000" maxBufferPoolSize="250000000" closeTimeout="00:10:00" openTimeout="00:10:00"
    receiveTimeout="00:10:00" sendTimeout="00:10:00">

          <readerQuotas maxDepth="250000000" maxStringContentLength="250000000" maxArrayLength="250000000" maxBytesPerRead="250000000"
          maxNameTableCharCount="250000000"/>
          <security mode="None" />

        </binding>
      </webHttpBinding>
    </bindings>

    <behaviors>
      <endpointBehaviors>
        <behavior name="ServiceBehaviour">
          <dataContractSerializer maxItemsInObjectGraph="2147483647"/>
        </behavior>

        <behavior name="webhttp">
          <webHttp defaultBodyStyle="WrappedRequest" />
        </behavior>

      </endpointBehaviors>

    </behaviors>
  </system.serviceModel>
</configuration>
